import { ValidationArgs } from "@vuelidate/core";
import { DefineComponent } from "vue";
export type FormElementDataType = boolean | string | number | Date;
export interface FormElementItem {
    key: string;
    props: <T>() => T;
    validation?: (model: FormElementDataType) => ValidationArgs;
    component: DefineComponent<any, any, any>;
}
export interface FormElement {
    layouts: any;
    elements: FormElementItem[];
}
export interface CommonFieldData {
    isReadOnly?: (model: FormElementDataType) => boolean;
    isHidden?: (model: FormElementDataType) => boolean;
    validation?: (model: FormElementDataType) => ValidationArgs;
    mandatory?: boolean;
}
